package cn.superdesk.uniorder.common.enums.lnss;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * 订单备注类型
 * @author Homan Liang
 * @date 2019/8/24
 */
public enum OrderConfirmStatusEnum {
    /**
     * 取消
     */
    CANCEL(0,"取消"),
    /**
     * 确认
     */
    APPROVE(1,"确认");

    private Integer key;
    private String desc;

    OrderConfirmStatusEnum(int key, String desc) {
        this.key = key;
        this.desc = desc;
    }

    public int getKey() {
        return key;
    }

    public String getDesc() {
        return desc;
    }

    public static String getDesc(int key) {
        for (OrderConfirmStatusEnum c : OrderConfirmStatusEnum.values()) {
            if (c.key == key) {
                return c.getDesc();
            }
        }
        return null;
    }

    private static final Map<Integer, OrderConfirmStatusEnum> LOOKUP = new HashMap<>();

    static {
        for(OrderConfirmStatusEnum s : EnumSet.allOf(OrderConfirmStatusEnum.class)) {
            LOOKUP.put(s.getKey(), s);
        }
    }

    /**
     * 方向查找枚举类
     * @param key
     * @return
     */
    public static OrderConfirmStatusEnum get(Integer key) {
        return LOOKUP.get(key);
    }
}
